import { Component } from 'react';
import { AxeResults, Result } from 'axe-core';
import { API } from '@storybook/api';
export declare enum RuleType {
    VIOLATION = 0,
    PASS = 1,
    INCOMPLETION = 2
}
interface A11YPanelNormalState {
    status: 'ready' | 'ran' | 'running';
    passes: Result[];
    violations: Result[];
    incomplete: Result[];
}
interface A11YPanelErrorState {
    status: 'error';
    error: unknown;
}
declare type A11YPanelState = A11YPanelNormalState | A11YPanelErrorState;
interface A11YPanelProps {
    active: boolean;
    api: API;
}
export declare class A11YPanel extends Component<A11YPanelProps, A11YPanelState> {
    state: A11YPanelState;
    componentDidMount(): void;
    componentDidUpdate(prevProps: A11YPanelProps): void;
    componentWillUnmount(): void;
    onUpdate: ({ passes, violations, incomplete }: AxeResults) => void;
    onError: (error: unknown) => void;
    request: () => void;
    render(): JSX.Element;
}
export {};
