import { Component } from 'react';
import { NodeResult } from 'axe-core';
import { RuleType } from '../A11YPanel';
export declare class HighlightedElementData {
    originalOutline: string;
    isHighlighted: boolean;
}
interface ToggleProps {
    elementsToHighlight: NodeResult[];
    type: RuleType;
    addElement?: (data: any) => void;
    highlightedElementsMap?: Map<HTMLElement, HighlightedElementData>;
    isToggledOn?: boolean;
    toggleId?: string;
    indeterminate?: boolean;
}
declare class HighlightToggle extends Component<ToggleProps> {
    static defaultProps: Partial<ToggleProps>;
    private checkBoxRef;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Readonly<ToggleProps>): void;
    onToggle: () => void;
    highlightRuleLocation(targetElement: HTMLElement, addHighlight: boolean): void;
    saveElementDataToMap(targetElement: HTMLElement, isHighlighted: boolean, originalOutline: string): void;
    render(): JSX.Element;
}
declare const _default: import("react-redux").ConnectedComponent<typeof HighlightToggle, any>;
export default _default;
